Sign tx
post
Signs an EOS transaction.
Authorizations
AuthorizationstringRequired
Path parameters
accountNamestringRequired
- The EOS account name from the request path.
Header parameters
AuthorizationstringRequired
- The authorization token from the request header.
Body
- The transaction input data from the request body.
tostringOptional
The recipient address of the transaction.
valuenumber · doubleOptional
The amount to be sent.
networkstringOptional
The network on which the transaction is taking place.
compressbooleanOptional
Indicates whether to compress the public key.
Responses
200
A promise that resolves to an EosAPIResponse object containing the transaction data, success status, and a message.
application/json
successbooleanRequired
The success status of the operation.
messagestringRequired
The message associated with the operation.
addressstringOptional
The address associated with the operation.
post
/eos/{accountName}/sign-tx200
A promise that resolves to an EosAPIResponse object containing the transaction data, success status, and a message.